Results 1 to 2 of 2
  1. #1
    Harmless studio460's Avatar
    Join Date
    Jun 2019
    Location
    Los Angeles, CA USA
    Posts
    2
    Downloads
    0
    Uploads
    0

    New Amiga A1200 owner! Need to run 3.0 ROMs—which Kickstart?

    I just clicked "buy" on eBay for a used A1200 from the EU (I"m in Los Angles). Here's its specs:

    • Commodore Amiga A1200 (rev. 2B motherboard).
    • 3.0/3.1 ROMs included (3.1 currently installed).
    • 8MB FastRAM expansion for A1200.
    • Gotek floppy-adapter + 2GB USB-drive/selector.adf."
    • ScanJuggler XAGA Lite scan-doubler.

    I've also pre-ordered the following from amigaonthelake:

    • Apollo A1200 case, black.
    • Kipper2K A1200, black keycaps.

    Looking to buy:

    • PS/2 adapter + PS/2 three-button mouse.
    • Accelerator with selectable soft boot to 3.0/3.1.

    I sold my Amiga A2000HD in 1995 so my recollection of Amigas is a bit sketchy. I bought this to run Magellan 1.1 from Emerald Software (not Opus Magellan). It's an expert systems app which only ran on Kickstart 3.0 ROMs and wouldn't run at all on 3.1 ROMs on my old A2000.

    So . . . the prior owner has the 3.1 ROMs installed, but I plan to re-insert the 3.0 ROMs to run Magellan *unless I can soft-boot via an accelerate or something). The equations is, which Workbench do I need to run the 3.0 ROMs?

  2. #2
    Retro Addict Administrator
    My location

    Burger Time Champion, Sonic Champion Harrison's Avatar
    Join Date
    Dec 2002
    Location
    UK
    Posts
    15,564
    Blog Entries
    1
    Downloads
    6
    Uploads
    14
    I've never encountered anything that wouldn't run on both 3.1 and 3.0 roms. I would try first to double check it won't run on 3.1 roms before downgrading them. Any version of Workbench will run on 3.1 roms, just older Workbeches like 1.3 would have the newer GUI because of the rom and aga chipsets. Equally Workbench 3.1 will run on a system with 3.0 roms, unlike older versions. It will just be missing some support for newer features.

    You can downgrade kickstart via software on the A1200, so you don't need to physically change the roms. All software downgrades do is load the oldest rom into fastram, then reboot the system. Or something like the harddrive game installer WHDLoad does is load the older kickstart into ram as it boots older incompatible games to make them work. Or you can also get a hardware kickstart rom swapper. I've one in one of my A600s to switch between 3.1 and 1.3 f.ex.

    I personally would recommend against reverting from 3.1 to 3.0. One huge reason is if you later decide to try out Workbench 3.5 or 3.9 they need 3.1 roms.

    If you haven't played a classic game in years, it's never too late to start!


Similar Threads

  1. Kickstart roms explained
    By Harrison in forum Classicamiga Wiki
    Replies: 24
    Last Post: 8th April 2010, 23:25
  2. Kickstart 3.0 -> 3.1 in A1200. Done!
    By Tiago in forum Amiga
    Replies: 1
    Last Post: 24th September 2007, 10:34
  3. A1200 Kickstart 3.0 Vs 3.1
    By Tiago in forum Hardware
    Replies: 7
    Last Post: 23rd September 2007, 21:52

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

Copyright classicamiga.com